JxtaSocketSynchChannelFactory.JxtaSocketFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.JxtaSocketSynchChannelFactory.JxtaSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class JxtaSocketSynchChannelFactory.JxtaSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          org.activeio.net.JxtaSocketSynchChannelFactory.JxtaSocketFactory

Enclosing class:
  JxtaSocketSynchChannelFactory

public static final class JxtaSocketSynchChannelFactory.JxtaSocketFactory
extends javax.net.SocketFactory

Method Summary
`java.net.Socket` | `createSocket(java.net.InetAddress remoteHost, int remotePort)`
`java.net.Socket` | `createSocket(java.net.InetAddress remoteHost, int remotePort, java.net.InetAddress localHost, int localPort)`
`java.net.Socket` | `createSocket(java.lang.String remoteHost, int remotePort)`
`java.net.Socket` | `createSocket(java.lang.String remoteHost, int remotePort, java.net.InetAddress localHost, int localPort)`
`static javax.net.SocketFactory` | `getDefault()`

Methods inherited from class javax.net.SocketFactory
`createSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefault

    public static javax.net.SocketFactory getDefault()

### createSocket

    public java.net.Socket createSocket(java.lang.String remoteHost,
                                        int remotePort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String remoteHost,
                                        int remotePort,
                                        java.net.InetAddress localHost,
                                        int localPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress remoteHost,
                                        int remotePort)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### createSocket

    public java.net.Socket createSocket(java.net.InetAddress remoteHost,
                                        int remotePort,
                                        java.net.InetAddress localHost,
                                        int localPort)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.